//******************************************************************************
// tiempo.c
// Funcin del temporizador.
// Por Ignacio Prez Gil 11/09/2004.
//******************************************************************************

//******************************************************************************
// Includes.
//******************************************************************************
#include <allegro.h>
#include "tiempo.h"

//******************************************************************************
// Variable global del temporizador.
//******************************************************************************
volatile char tic_reloj=0;

//******************************************************************************
// Inicializa el temporizador.
//******************************************************************************
void ini_tiempo(void)
{
 LOCK_FUNCTION(temporizador);
 LOCK_VARIABLE(tic_reloj);

 install_int_ex(temporizador,BPS_TO_TIMER(TICKS));  
}

//******************************************************************************
// Funcin del temporizador.
//******************************************************************************
void temporizador(void)
{
 tic_reloj=1;
}
END_OF_FUNCTION (temporizador);

